0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
func_vector_relational.hpp File Reference

GLM Core More...

Go to the source code of this file.

## Functions
template<length_t L, qualifier P>
GLM_FUNC_DECL bool | all (vec< L, bool, P > const &v)
| Returns true if all components of x are true. More...
template<length_t L, qualifier P>
GLM_FUNC_DECL bool | any (vec< L, bool, P > const &v)
| Returns true if any component of x is true. More...
template<length_t L, typename T , qualifier P>
GLM_FUNC_DECL vec< L, bool, P > | equal (vec< L, T, P > const &x, vec< L, T, P > const &y)
| Returns the component-wise comparison of result x == y. More...
template<length_t L, typename T , qualifier P>
GLM_FUNC_DECL vec< L, bool, P > | greaterThan (vec< L, T, P > const &x, vec< L, T, P > const &y)
| Returns the component-wise comparison of result x > y. More...
template<length_t L, typename T , qualifier P>
GLM_FUNC_DECL vec< L, bool, P > | greaterThanEqual (vec< L, T, P > const &x, vec< L, T, P > const &y)
| Returns the component-wise comparison of result x >= y. More...
template<length_t L, typename T , qualifier P>
GLM_FUNC_DECL vec< L, bool, P > | lessThan (vec< L, T, P > const &x, vec< L, T, P > const &y)
| Returns the component-wise comparison result of x < y. More...
template<length_t L, typename T , qualifier P>
GLM_FUNC_DECL vec< L, bool, P > | lessThanEqual (vec< L, T, P > const &x, vec< L, T, P > const &y)
| Returns the component-wise comparison of result x <= y. More...
template<length_t L, qualifier P>
GLM_FUNC_DECL vec< L, bool, P > | not_ (vec< L, bool, P > const &v)
| Returns the component-wise logical complement of x. More...
template<length_t L, typename T , qualifier P>
GLM_FUNC_DECL vec< L, bool, P > | notEqual (vec< L, T, P > const &x, vec< L, T, P > const &y)
| Returns the component-wise comparison of result x != y. More...

## Detailed Description

GLM Core

See also
  GLSL 4.20.8 specification, section 8.7 Vector Relational Functions

Definition in file func_vector_relational.hpp.